Skip to main content
GET
/
api
/
v1
/
workflow_definitions
/
{id}
Get a workflow definition
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/workflow_definitions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "workflow_definition",
    "attributes": {
      "created_at": "<string>",
      "updated_at": "<string>",
      "name": "<string>",
      "step_count": 123
    },
    "relationships": {
      "owner": {
        "links": {
          "related": "<string>"
        },
        "meta": {},
        "data": {
          "type": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "steps": {
        "links": {
          "related": "<string>"
        },
        "meta": {},
        "data": [
          {
            "type": "workflow_step",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ]
      },
      "workflows": {
        "links": {
          "related": "<string>"
        },
        "meta": {}
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: owner, steps, workflows

Response

workflow definition found

data
object
required